Subject: bug#62791: closed (Re: bug#62791: BUILT_SOURCES not honoured in parallel build?)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Dec 2023 23:15:02 +0000

Your bug report

#62791: BUILT_SOURCES not honoured in parallel build?

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62791: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62791
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62791: BUILT_SOURCES not honoured in parallel build?
From: Karl Berry <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sun, 10 Dec 2023 16:13:46 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

    Patch attached.

Looks just fine. Thanks Reuben. I installed it. Closing ...
--all the best, karl.

Subject: BUILT_SOURCES not honoured in parallel build?
From: Reuben Thomas <[email-masked]>
To: bug-automake <[email-masked]>
Date: Wed, 12 Apr 2023 16:17:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I am bootstrapping GNU a2ps git master[1] with automake 1.16.5. When I do a
parallel build (in my case, MAKEFLAGS=-j4), I get build failures sometimes:

$ make all
make  all-am
make[1]: Entering directory '/home/rrt/.local/var/repo/a2ps/src'
  YACC     parsessh.c
  CC       libparse_a-lexssh.o
/home/rrt/repo/a2ps/src/ylwrap1077905
lexssh.c:38:11: fatal error: parsessh.h: No such file or directory
   38 |  #include "parsessh.h"
      |           ^~~~~~~~~~~~
compilation terminated.
make[1]: *** [Makefile:1710: libparse_a-lexssh.o] Error 1
make[1]: *** Waiting for unfinished jobs....
parsessh.output is unchanged
updating parsessh.h
make[1]: Leaving directory '/home/rrt/.local/var/repo/a2ps/src'
make: *** [Makefile:1514: all] Error 2

But parsessh.h is listed in BUILT_SOURCES, so it should be built before any
other target.

[1] git clone https://git.savannah.gnu.org/git/a2ps.git

-- 
https://rrt.sc3d.org